Topic: Problem with scaffold after freezing to an earlier rails version

I've just created a new app ("tag_Contacts"), and frozen it to rails 1.2.3 with

  rake rails:freeze:edge TAG=rel_1-2-3

It seemed to work ok - lots of stuff was copied over anyway.

Now, i'm trying to use the scaffold and get a load of errors reported -

  tag_Contacts>ruby script/generate scaffold contact

./script/../config/../vendor/rails/railties/lib/initializer.rb:328:in `send': undefined method `session=' for ActionController::Base:Class (NoMethodError)
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:328:in initialize_frame
work_settings'
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:327:in `each'
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:327:in `initialize_frame
work_settings'
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:324:in `each'
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:324:in `initialize_frame
work_settings'
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:96:in `process'
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:43:in `send'
        from ./script/../config/../vendor/rails/railties/lib/initializer.rb:43:in `run'
        from ./script/../config/../config/environment.rb:13
        from C:/code/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
        from C:/code/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from ./script/../config/../vendor/rails/railties/lib/commands/generate.rb:1
        from C:/code/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
        from C:/code/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from script/generate:3


Does anyone know what might have gone wrong here? 

thanks
max

###########################################
#If i've helped you then please recommend me at Working With Rails:
#http://www.workingwithrails.com/person/ … i-williams

Re: Problem with scaffold after freezing to an earlier rails version

Heya Max,

You could try freezing rails again to the same version.

I have not actually tested this, but I have heard that this can help because your scripts directory might need updating.

Otherwise, check out the scripts/ files in the vendor/rails/railties/lib/rails_generator/scripts directory and see if they conflict with the ones you have in your app's scripts directory.  They will most likely be different.

Regards

Mikel